
#include <IRremote.h>
 
int rec = 3; // the pin where you connect the output pin of TSOP4838
int led_1 = 4;
int led_2 = 5;

#define code1  2049 // code received from button 1
#define code2  2050 // code received from button 2


 
IRrecv ir_rec(rec);
 
decode_results result;
 
void setup()
{
  Serial.begin(9600);   
  ir_rec.enableIRIn();  
  pinMode(led_1, OUTPUT);
  pinMode(led_2, OUTPUT);
 
}
 
void loop() {
  if (ir_rec.decode(&result)) {
    unsigned int val = result.value;
    switch(val) {
       case code1:
          digitalWrite(led_1,HIGH);
          digitalWrite(led_2,HIGH);
          break;
       case code2:
          digitalWrite(led_2,LOW);
          digitalWrite(led_1,LOW);
          break;
       
    } 
      
    Serial.println(val); 
    ir_rec.resume();                   // Receive the next value
  }
}
